org.eclipse.cdt.core.dom.ast

## Interface IASTPreprocessorIfdefStatement

All Superinterfaces:
  IASTNode, IASTPreprocessorStatement

    public interface IASTPreprocessorIfdefStatement
    extends IASTPreprocessorStatement

This interface represent a preprocessor #ifdef statement.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTPreprocessorStatement

`MACRO_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`char[]` `getCondition()` The condition of the ifdef-statement.
`IASTName` `getMacroReference()` Returns the macro reference, or `null` if the macro does not exist.
`boolean` `taken()` Returns whether this branch was taken.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### taken

    boolean taken()

Returns whether this branch was taken.

#### getCondition

    char[] getCondition()

The condition of the ifdef-statement.

Returns:
  the condition

#### getMacroReference

    IASTName getMacroReference()

Returns the macro reference, or `null` if the macro does not exist.